






#ifndef Wagnis_Gameboard_h
#define Wagnis_Gameboard_h

#include "WagnisProvince.h"

#include "OrxonoxPrereqs.h"
#include "core/CoreIncludes.h"
#include "core/XMLPort.h"
#include "worldentities/StaticEntity.h"
#include <vector>


namespace orxonox
{
    class WagnisGameboard : public StaticEntity
    {
    public:
        WagnisGameboard(Context*);
        virtual ~WagnisGameboard();
        virtual void XMLPort(Element&,XMLPort::Mode);

        void setPosition(const Vector3&) override;
        void setOrientation(const Quaternion&) override;

    
    private:
        std::vector<WagnisProvince*> provs;
        Vector3 position;
        Quaternion orientation;
    };
}


#endif
