





#include "WagnisProvince.h"
#include "core/CoreIncludes.h"
#include "BulletDynamics/Dynamics/btRigidBody.h"
#include <vector>

namespace orxonox
{
    RegisterClass(WagnisProvince);

    //Constructor
    WagnisProvince::WagnisProvince(Context* context) : StaticEntity(context){
        RegisterObject(WagnisProvince);
        this->owner_ID = 0;
        this->troops = 0;
        this->ID = -1;
        this->continent = -1;
    }
    //Destructor
    WagnisProvince::~WagnisProvince(){

    }




    //SET()

    //set Position
    void WagnisProvince::setPosition(const Vector3& position){
        //TODO
    }
    //set Orientation
    void WagnisProvince::setOrientation(const Quaternion& orientation){
        //TODO
    }
    //set owner_ID
    void WagnisProvince::setOwner_ID(int owner){
        this->owner_ID = owner;
    }
    //set troops
    void WagnisProvince::setTroops(int troops){
        this->troops = troops;
    }
    //set ID
    void WagnisProvince::setID(int id){
        this->ID = id;
    }
    //set Continent
    void WagnisProvince::setContinent(int cont){
        this->continent = cont;
    }


    //GET()

    //get owner_ID
    int WagnisProvince::getOwner_ID(){
        return this->owner_ID;
    }
    //get troops
    int WagnisProvince::getTroops(){
        return this->troops;
    }
    //get ID
    int WagnisProvince::getID(){
        return this->ID;
    }
    //get continent
    int WagnisProvince::getContinent(){
        return this-> continent;
    }

    //Creates a connection between two provinces.
    void WagnisProvince::addNeighbor(WagnisProvince* prov){
        neighbors.push_back(prov);
        prov->neighbors.push_back(this);
    }
}
