




#ifndef Wagnis_Province_h
#define Wagnis_Province_h

#include "OrxonoxPrereqs.h"
#include "core/CoreIncludes.h"
#include "core/XMLPort.h"
#include "worldentities/StaticEntity.h"
#include <vector>


namespace orxonox
{
    class WagnisProvince : public StaticEntity
    {
    public:
        WagnisProvince(Context*);
        virtual ~WagnisProvince();
        void setPosition(const Vector3&) override;
        void setOrientation(const Quaternion&) override;
        void addNeighbor(WagnisProvince*);

        void setOwner_ID(int);
        void setTroops(int);
        void setID(int);
        void setContinent(int);

        int getOwner_ID();
        int getTroops();
        int getID();
        int getContinent();

    
    private:
        int owner_ID;
        int troops;
        int ID;
        int continent;
        std::vector<WagnisProvince*> neighbors;
        Vector3 position;
        Quaternion orientation;
    };
}


#endif
